interface APIOptions {
    serverUrl: string;
    cookiePath: string;
    enterprise: boolean;
}
declare type nodeFetchType = (url: RequestInfo, init?: RequestInit | undefined) => Promise<Response>;
export declare enum ExportType {
    PDF = 0,
    SLIDE = 1,
    MD = 2,
    HTML = 3
}
export declare type HistoryItem = {
    id: string;
    text: string;
    time: number | string;
    tags: string[];
};
/**
 * codimd API Client
 */
declare class API {
    readonly serverUrl: string;
    private readonly enterprise;
    private readonly _fetch;
    constructor(config?: Partial<APIOptions>);
    login(email: string, password: string): Promise<boolean>;
    loginLdap(username: string, password: string): Promise<boolean>;
    logout(): Promise<boolean>;
    isLogin(): Promise<boolean>;
    getMe(): Promise<any>;
    getHistory(): Promise<{
        history: HistoryItem[];
    }>;
    newNote(body: string): Promise<string>;
    export(noteId: string, type: ExportType, output: string): Promise<void>;
    private downloadFile;
    get fetch(): nodeFetchType;
    get domain(): string | null;
    private wrapHeaders;
    private loadCSRFToken;
}
export default API;
